curl --request PATCH \
--url https://api.siftstack.com/api/v1/webhooks/signature-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"enable": true
}'{
"signatureKey": {
"signatureKey": "<string>",
"active": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>"
}
}Set the activation state of the organization’s current webhook signature key. Will return a not found error if one doesn’t yet exist.
curl --request PATCH \
--url https://api.siftstack.com/api/v1/webhooks/signature-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"enable": true
}'{
"signatureKey": {
"signatureKey": "<string>",
"active": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The request for a call to WebhookService_ToggleWebhookSignatureKeyActivation to enable or disable the current
webhook signature key. Set enable to true to activate the signature key, and false to deactivate.
The request for a call to WebhookService_ToggleWebhookSignatureKeyActivation to enable or disable the current
webhook signature key. Set enable to true to activate the signature key, and false to deactivate.
A successful response.
The response for a call to WebhookService_ToggleWebhookSignatureKeyActivation.
Show child attributes
Was this page helpful?